/* GCC */
#include <iostream>
#include <stdio.h>
#include <vector>
#include <algorithm>
#include <cmath>

using namespace std;

#define ll long long

int n;
ll a, d;
pair<ll, ll> A[110];
bool FLAG = false;

pair<ll, ll> diof(ll a, ll b)
{
    if (b == 0) return make_pair(1, 0);
    if (a == 0) return make_pair(0, -1);

    pair<ll, ll> ans;
    if (a >= b){
        ans = diof(a%b, b);
        ans.second += a/b*ans.first;
    }
    else{
        ans = diof(a, b%a);
        ans.first += b/a*ans.second;
    }

    return ans;
}

ll GCD(ll a, ll b)
{
    while ((a != 0) && (b != 0)){
        if (a >= b) a %= b;
        else b %= a;
    }
    return a+b;
}

void solve(ll a1, ll d1, ll a2, ll d2)
{
    ll gcd = GCD(d1, d2);
    if (((d1 == 0) && (d2 == 0) && (a1 != a2)) ||
        ((d1 == 0) && ((a1-a2)%d2 != 0)) ||
        ((d1 == 0) && (a1 < a2)) ||
        ((d2 == 0) && ((a2-a1)%d1 != 0)) ||
        ((d2 == 0) && (a2 < a1)) ||
        ((a1-a2)%gcd != 0) ) { printf("0\n"); FLAG = true; return; }
    if (d1 == 0) { a = a1; d = 0; return; }
    if (d2 == 0) { a = a2; d = 0; return; }

    if (gcd == 1){
        d = d1*d2;
        if (d < 0) { d = 0; return; }

        pair<ll, ll> x = diof(d2, d1);
        a = a1*d2*x.first - a2*d1*x.second;
        a %= d;
        while ((a < a1) || (a < a2)) a += d;

        return;
    }
    else{
        solve(a1, d1/gcd, a2, d2/gcd);
        solve(a1, gcd, a, d);
    }
}

int main(void)
{
    freopen("common.in", "r", stdin);
    freopen("common.out", "w", stdout);

    scanf("%d", &n);
    for (int i=0; i<n; i++) cin >> A[i].first >> A[i].second;

    random_shuffle(A, A+n);

    a = A[0].first; d = A[0].second;
    for (int i=1; i<n; i++){
        solve(a, d, A[i].first, A[i].second);
        if (FLAG) return 0;
    }

    cout << a << "\n";

    return 0;
}
